commit: ff4a3a028da4092ec9d222342bada289476e25af
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 6 08:39:40 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Nov 6 10:44:40 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff4a3a02
dev-python/flaky: Version Bump
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/flaky/Manifest | 1 +
dev-python/flaky/flaky-2.4.0.ebuild | 8 ++++----
.../flaky/{flaky-2.4.0.ebuild => flaky-2.4.1.ebuild} | 19 +++++++++++++------
3 files changed, 18 insertions(+), 10 deletions(-)
diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index 1dbc211..4b1686b 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1 +1,2 @@
DIST flaky-2.4.0.tar.gz 27157 SHA256
6446e186674db9d67be5e85857b6e98a68a6491d5d307447d9a1a6721aca9fad SHA512
e3f51dab94a2e2140714f15ae088113c2e5cb65f58d38d5ae20b91c567c207568403c1267edeaf9f0f8c6bec7b03ebb0c02178cca30f3dd3a16aa4d099ca8153
WHIRLPOOL
20571c64d46ebbb87173a0e6bc859473528270c179c7cde045fded2a98708034f95864a92c137596b936f78e21984ca17ec0670063c470f14d1ce6ce1213c70f
+DIST flaky-2.4.1.tar.gz 27430 SHA256
e8e94450c7c5d56bd30e0634fc6c725936e7585322d60469195dfa416c0ab2ea SHA512
2c4736ee370a9462bed29239a525a8a0296ebbb0abc6f194ac36db1fa6fab78d41c3927f1cd3d5c50649f374406e3203c16f0d2f4e3fac6a458392db110ed0f9
WHIRLPOOL
a5665b1ae1e8f82ac96ca07675e719f3c5f29a0347c5c5dc1b1badcfc2454b3fa97e9606299f2b23ef30f61a6342d399eedbafb02931b6f9746af6dcc73f53e2
diff --git a/dev-python/flaky/flaky-2.4.0.ebuild
b/dev-python/flaky/flaky-2.4.0.ebuild
index 164e33e..47038c6 100644
--- a/dev-python/flaky/flaky-2.4.0.ebuild
+++ b/dev-python/flaky/flaky-2.4.0.ebuild
@@ -32,8 +32,8 @@ RESTRICT=test
python_test() {
nosetests --with-flaky --exclude="pytest|test_nose_options_example"
test/ || die
- py.test -k 'example and not nose and not options' --doctest-modules
test/·||·die
- py.test -p no:flaky test/test_flaky_pytest_plugin.py·||·die
- nosetests --with-flaky --force-flaky --max-runs 2
test/test_nose_options_example.py ·||·die
- py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py
||·die
+ py.test -k 'example and not nose and not options' --doctest-modules
test/ || die
+ py.test -p no:flaky test/test_flaky_pytest_plugin.py || die
+ nosetests --with-flaky --force-flaky --max-runs 2
test/test_nose_options_example.py || die
+ py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py
|| die
}
diff --git a/dev-python/flaky/flaky-2.4.0.ebuild
b/dev-python/flaky/flaky-2.4.1.ebuild
similarity index 78%
copy from dev-python/flaky/flaky-2.4.0.ebuild
copy to dev-python/flaky/flaky-2.4.1.ebuild
index 164e33e..d6d75b8 100644
--- a/dev-python/flaky/flaky-2.4.0.ebuild
+++ b/dev-python/flaky/flaky-2.4.1.ebuild
@@ -27,13 +27,20 @@ DEPEND="${RDEPEND}
)
"
-# https://github.com/box/flaky/issues/72
-RESTRICT=test
+python_prepare_all() {
+ cat >> test/__init__.py <<- EOF
+ # coding: utf-8
+
+ from __future__ import unicode_literals
+ EOF
+
+ distutils-r1_python_prepare_all
+}
python_test() {
nosetests --with-flaky --exclude="pytest|test_nose_options_example"
test/ || die
- py.test -k 'example and not nose and not options' --doctest-modules
test/·||·die
- py.test -p no:flaky test/test_flaky_pytest_plugin.py·||·die
- nosetests --with-flaky --force-flaky --max-runs 2
test/test_nose_options_example.py ·||·die
- py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py
||·die
+ py.test -k 'example and not nose and not options' --doctest-modules
test/ || die
+ py.test -p no:flaky test/test_flaky_pytest_plugin.py || die
+ nosetests --with-flaky --force-flaky --max-runs 2
test/test_nose_options_example.py || die
+ py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py
|| die
}